<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/calmWhite"
    tools:context=".monitoring.HistoryMonitoring">

    <LinearLayout
        android:id="@+id/layHeader"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:backgroundTint="@color/Dark"
        android:background="@drawable/top_popup_sheet"
        android:elevation="10dp">
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="20dp"
            android:textSize="16sp"
            android:textStyle="bold"
            android:textColor="@color/White"
            android:fontFamily="@font/lato_regular"
            android:text="@string/riwayat_monitoring"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="visible"
        android:id="@+id/layPlaceholder"
        android:orientation="vertical">
        <include layout="@layout/monitoring_placeholder_layout" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/layHeader">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="invisible"
            android:gravity="center"
            android:id="@+id/relNoList">
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/relImg1"
                android:gravity="center">
                <ImageView
                    android:layout_width="70dp"
                    android:layout_height="70dp"
                    android:src="@drawable/no_report"/>
            </RelativeLayout>
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/relImg1"
                android:layout_marginTop="10dp"
                android:gravity="center">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Riwayat tidak ditemukan"
                    android:fontFamily="@font/lato_regular"
                    android:textColor="@color/Gray3"
                    android:textSize="16sp"/>
            </RelativeLayout>
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/listHistoryMonitoring"
                android:layout_width="match_parent"
                android:divider="@null"
                android:layout_height="match_parent" />

            <ProgressBar
                android:id="@+id/pbHistoryMonitoring"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:progressTint="@color/CalmDark"
                android:visibility="gone"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true" />
        </RelativeLayout>
    </FrameLayout>



</LinearLayout>